Subject: Re: bug#21383: Static revisions in vc-working-revision

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 Sep 2015 11:45:43 -0400

> I think just the current usage, everywhere, makes it okay. But if I were to
> inquire of the status of a file in a different repository, that would still
> fail. We don't don't seem to do that anywhere, though, and supporting that
> usage would require fixes in multiple places.
> This patch doesn't change much in this regard: FILE wasn't used for its
> default-directory even before it.

That's right.  I was just pointing out this change in VC's practice.
I think the current practice is not well documented (maybe not
completely well defined either).

        Stefan